Subject: bug#11198: problems reading data with a "read-hash-extend" registered reader

From: [email-masked] (Ludovic Courtès)
Date: Tue, 24 Apr 2012 18:22:48 +0200

Hi Noah,

Noah Lavine <[email-masked]> skribis:

> Why don't we provide an interface to define a serializer as well as a
> reader, and have compile-assembly use these serializers? As long as
> each type has both a serializer and a reader, it should work fine.
> That also feels symmetrical, which I take as a good sign. :-)

Yes, sounds like a good idea.

However, this discussion should be moved to [email-masked] IMO, as
it’s not going to address the bug report at hand in a timely fashion.

Thanks,
Ludo’.